# Remarkable Templates Repository

This repository contains custom templates for the Remarkable tablet. Follow the steps below to install them on your device.

## Installation Instructions

### 1. Connect to the Remarkable Tablet

```sh
ssh root@10.11.99.1
mkdir templates
```

### 2. Clone the Repository on Your Local Machine

```sh
git clone https://git.aquila-consortium.org/fleclercq/remarkable_templates.git
cd remarkable_templates
```

### 3. Transfer the Templates to the Remarkable Tablet

```sh
scp *.png root@10.11.99.1:/home/root/templates/
scp templates_updated.json root@10.11.99.1:/usr/share/remarkable/templates/templates.json
```

### 4. Configure the Templates on the Remarkable Tablet

```sh
cd /usr/share/remarkable/templates
for i in /home/root/templates/*.png ; do ln -s $i . ; done
systemctl restart xochitl
```

After restarting `xochitl`, the new templates should be available for use on your Remarkable tablet.

## Notes on Remarkable Templates

A4 templates for the Remarkable Paper Pro should have dimension **1893 x 2678 pixels** (210 x 297 mm at 229 dpi).\
Remarkable Paper Pro resolution is **2160 x 1620 (229 dpi)**.

A4 PDF files can be converted to PNG at the right resolution using:

```sh
for i in *.pdf ; do convert -density 229 -quality 100 $i ${i/.pdf/.png} ; done
```

### Useful Links

- [Installation of templates](https://remarkable.jms1.info/templates/)
- [Template generator](https://templarian.github.io/remarkable/)
